//------------------------------------------------------------------------------
// <copyright file="TimeoutException.java" company="Microsoft">
//      Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>
// <summary>
//      Implement TimeoutException.
// </summary>
//------------------------------------------------------------------------------

package com.microsoft.hpc.exceptions;


public class TimeoutException extends Exception
{

    /**
     * 
     */
    private static final long serialVersionUID = 972662614740062505L;
    
    public TimeoutException(String msg, Object... args)
    {
        super(String.format(msg, args));
    }
    
    public TimeoutException()
    {
        super(SR.OperationTimeout);
    }
}
